public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/pdoc3/
@ 2021-03-25  9:14 Florian Schmaus
  0 siblings, 0 replies; 2+ messages in thread
From: Florian Schmaus @ 2021-03-25  9:14 UTC (permalink / raw
  To: gentoo-commits

commit:     4c202f42507fbaa9d7116259017ee5e185d1cd3a
Author:     Florian Schmaus <flo <AT> geekplace <DOT> eu>
AuthorDate: Thu Mar 25 09:09:40 2021 +0000
Commit:     Florian Schmaus <flo <AT> geekplace <DOT> eu>
CommitDate: Thu Mar 25 09:14:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4c202f42

dev-python/pdoc3: initial import

Signed-off-by: Florian Schmaus <flo <AT> geekplace.eu>

 dev-python/pdoc3/Manifest           |  1 +
 dev-python/pdoc3/metadata.xml       | 12 ++++++++++++
 dev-python/pdoc3/pdoc3-0.9.2.ebuild | 34 ++++++++++++++++++++++++++++++++++
 3 files changed, 47 insertions(+)

diff --git a/dev-python/pdoc3/Manifest b/dev-python/pdoc3/Manifest
new file mode 100644
index 000000000..82043ca90
--- /dev/null
+++ b/dev-python/pdoc3/Manifest
@@ -0,0 +1 @@
+DIST pdoc3-0.9.2.tar.gz 84803 BLAKE2B 5ff52a630722b9504d1de83bb236aaaafde95417ac163b79b3585156484a12b71a16de55d00ab7377b9e44eec7902384f1f648a514b8e7392da6f5e79f6f229f SHA512 653231a124239ec189dc5aa4dec59245c6d20e4ff6ca9cb7fa468410b712b766288f4c59f8c0d0b8c1a4190ce84603455ec0ad7c7b1e0dc4f28cd279bb69685f

diff --git a/dev-python/pdoc3/metadata.xml b/dev-python/pdoc3/metadata.xml
new file mode 100644
index 000000000..a2a8a044b
--- /dev/null
+++ b/dev-python/pdoc3/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>flo@geekplace.eu</email>
+		<name>Florian Schmaus</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">pdoc3</remote-id>
+		<remote-id type="github">pdoc3/pdoc</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/pdoc3/pdoc3-0.9.2.ebuild b/dev-python/pdoc3/pdoc3-0.9.2.ebuild
new file mode 100644
index 000000000..f495d6d7c
--- /dev/null
+++ b/dev-python/pdoc3/pdoc3-0.9.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Auto-generate API documentation for Python projects"
+HOMEPAGE="https://pdoc3.github.io/pdoc/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="AGPL-3"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	dev-python/mako[${PYTHON_USEDEP}]
+	>=dev-python/markdown-3.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	dev-python/wheel[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+	distutils-r1_python_prepare_all
+	sed -i \
+		-e "/setuptools_git/d" \
+		-e "/setuptools_scm/d" \
+		setup.py || die
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/pdoc3/
@ 2021-06-24  6:15 Florian Schmaus
  0 siblings, 0 replies; 2+ messages in thread
From: Florian Schmaus @ 2021-06-24  6:15 UTC (permalink / raw
  To: gentoo-commits

commit:     3fd8cb1749ad44a898b9b4e205433909aa67d739
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 24 06:15:34 2021 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Thu Jun 24 06:15:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3fd8cb17

dev-python/pdoc3: treeclean (moved to ::gentoo)

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-python/pdoc3/Manifest           |  1 -
 dev-python/pdoc3/metadata.xml       | 12 ------------
 dev-python/pdoc3/pdoc3-0.9.2.ebuild | 34 ----------------------------------
 3 files changed, 47 deletions(-)

diff --git a/dev-python/pdoc3/Manifest b/dev-python/pdoc3/Manifest
deleted file mode 100644
index 82043ca90..000000000
--- a/dev-python/pdoc3/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST pdoc3-0.9.2.tar.gz 84803 BLAKE2B 5ff52a630722b9504d1de83bb236aaaafde95417ac163b79b3585156484a12b71a16de55d00ab7377b9e44eec7902384f1f648a514b8e7392da6f5e79f6f229f SHA512 653231a124239ec189dc5aa4dec59245c6d20e4ff6ca9cb7fa468410b712b766288f4c59f8c0d0b8c1a4190ce84603455ec0ad7c7b1e0dc4f28cd279bb69685f

diff --git a/dev-python/pdoc3/metadata.xml b/dev-python/pdoc3/metadata.xml
deleted file mode 100644
index ccd39aa52..000000000
--- a/dev-python/pdoc3/metadata.xml
+++ /dev/null
@@ -1,12 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-	<maintainer type="person">
-		<email>flow@gentoo.org</email>
-		<name>Florian Schmaus</name>
-	</maintainer>
-	<upstream>
-		<remote-id type="pypi">pdoc3</remote-id>
-		<remote-id type="github">pdoc3/pdoc</remote-id>
-	</upstream>
-</pkgmetadata>

diff --git a/dev-python/pdoc3/pdoc3-0.9.2.ebuild b/dev-python/pdoc3/pdoc3-0.9.2.ebuild
deleted file mode 100644
index f495d6d7c..000000000
--- a/dev-python/pdoc3/pdoc3-0.9.2.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="Auto-generate API documentation for Python projects"
-HOMEPAGE="https://pdoc3.github.io/pdoc/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-SLOT="0"
-LICENSE="AGPL-3"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
-	dev-python/mako[${PYTHON_USEDEP}]
-	>=dev-python/markdown-3.0[${PYTHON_USEDEP}]
-"
-DEPEND="
-	${RDEPEND}
-	dev-python/wheel[${PYTHON_USEDEP}]
-"
-
-python_prepare_all() {
-	distutils-r1_python_prepare_all
-	sed -i \
-		-e "/setuptools_git/d" \
-		-e "/setuptools_scm/d" \
-		setup.py || die
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-06-24  6:15 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-03-25  9:14 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/pdoc3/ Florian Schmaus
  -- strict thread matches above, loose matches on Subject: below --
2021-06-24  6:15 Florian Schmaus

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox